> ## Documentation Index
> Fetch the complete documentation index at: https://flashrdp.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Resource Packs

> Retrieve a non-paginated list of resource packs and thier usage.



## OpenAPI

````yaml /api/control-panel/resource-pack.json get /resourcePack
openapi: 3.0.1
info:
  title: API Documentation
  description: >-
    ## Overview


    This API allows you to manage your account and servers programmatically.
    Account management features are available to all authenticated users, while
    server management operations are restricted to server owners. Only users who
    own a server can perform actions such as creating, or managing through the
    API.


    ### Authentication


    The API uses **Bearer Token authorization** for all authenticated requests.


    To access protected endpoints, include your API token in the `Authorization`
    header of each request:


    ```

    Authorization: Bearer <your_api_token>

    ```


    If the token is missing, invalid, or expired, the API will respond with:

    ```

    HTTP 401 Unauthorized

    ```


    Tokens are issued through your account and must be kept secure.


    ### Data Format


    The API uses **JSON** for all requests and responses. All requests should be
    sent with the following headers:


    ```

    Content-Type: application/json

    Accept: application/json

    ```


    ### Rate Limiting


    The API is rate limited to prevent excessive requests and ensure fair usage.
    Limits may be increased on request. Each response includes rate limit
    headers that indicate your current usage:

    | Header | Description |

    | ------- | ------------ |

    | **X-RateLimit-Limit** | The total number of requests allowed per minute. |

    | **X-RateLimit-Remaining** | The number of requests remaining in the
    current time window. |

    | **X-RateLimit-Reset** | The time when the limit will be reset. |


    When the limit is reached, the API will respond with the following status
    until the limit resets:


    ```

    HTTP 429 Too Many Requests

    ```


    ### Service Availability


    If the API is temporarily unavailable or undergoing maintenance, it will
    return the following status:


    ```

    HTTP 503 Service Unavailable

    ```


    This status indicates a temporary outage and the request should be retried
    later once the service is restored.
  version: 1.0.0
servers:
  - url: https://servers.flashrdp.com/api
security: []
tags:
  - name: Resource Pack
paths:
  /resourcePack:
    get:
      tags:
        - Resource Pack
      summary: Resource Packs
      description: Retrieve a non-paginated list of resource packs and thier usage.
      parameters:
        - name: Accept
          in: header
          description: ''
          required: true
          example: application/json
          schema:
            type: string
            enum:
              - application/json
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        name:
                          type: string
                        label:
                          type: string
                          nullable: true
                        limits:
                          type: object
                          properties:
                            totalServers:
                              type: integer
                            totalMemory:
                              type: integer
                            totalStorage:
                              type: integer
                            totalCpu:
                              type: integer
                            totalTraffic:
                              type: integer
                            maxMemory:
                              type: integer
                              nullable: true
                            maxStorage:
                              type: integer
                              nullable: true
                            maxCpu:
                              type: integer
                              nullable: true
                            maxTraffic:
                              type: integer
                              nullable: true
                        usage:
                          type: object
                          properties:
                            servers:
                              type: object
                              properties:
                                total:
                                  type: integer
                                used:
                                  type: integer
                                available:
                                  type: integer
                                percentUsed:
                                  type: integer
                              required:
                                - total
                                - used
                                - available
                                - percentUsed
                            memory:
                              type: object
                              properties:
                                total:
                                  type: integer
                                used:
                                  type: integer
                                available:
                                  type: integer
                                percentUsed:
                                  type: integer
                              required:
                                - total
                                - used
                                - available
                                - percentUsed
                            storage:
                              type: object
                              properties:
                                total:
                                  type: integer
                                used:
                                  type: integer
                                available:
                                  type: integer
                                percentUsed:
                                  type: number
                              required:
                                - total
                                - used
                                - available
                                - percentUsed
                            cpu:
                              type: object
                              properties:
                                total:
                                  type: integer
                                used:
                                  type: integer
                                available:
                                  type: integer
                                percentUsed:
                                  type: integer
                              required:
                                - total
                                - used
                                - available
                                - percentUsed
                            traffic:
                              type: object
                              properties:
                                total:
                                  type: integer
                                used:
                                  type: integer
                                available:
                                  type: integer
                                percentUsed:
                                  type: integer
                              required:
                                - total
                                - used
                                - available
                                - percentUsed
                            trafficMonth:
                              type: object
                              properties:
                                primary:
                                  type: object
                                  properties:
                                    start:
                                      type: string
                                    end:
                                      type: string
                                    max:
                                      type: integer
                                    received:
                                      type: integer
                                    transmitted:
                                      type: integer
                                    total:
                                      type: integer
                                    percentUsed:
                                      type: number
                                    available:
                                      type: integer
                                  required:
                                    - start
                                    - end
                                    - max
                                    - received
                                    - transmitted
                                    - total
                                    - percentUsed
                                    - available
                              required:
                                - primary
              example:
                data:
                  - id: 3
                    name: Demo Self Service Profile Group
                    label: null
                    limits:
                      totalServers: 10
                      totalMemory: 8192
                      totalStorage: 60
                      totalCpu: 8
                      totalTraffic: 5
                      maxMemory: 10000
                      maxStorage: 10000
                      maxCpu: 100
                      maxTraffic: 10000
                    usage:
                      servers:
                        total: 10
                        used: 4
                        available: 6
                        percentUsed: 40
                      memory:
                        total: 8192
                        used: 6144
                        available: 2048
                        percentUsed: 75
                      storage:
                        total: 60
                        used: 52
                        available: 8
                        percentUsed: 86.66666666666667
                      cpu:
                        total: 8
                        used: 8
                        available: 0
                        percentUsed: 100
                      traffic:
                        total: 5
                        used: 600
                        available: 0
                        percentUsed: 12000
                      trafficMonth:
                        primary:
                          start: '2025-12-27T00:00:00.000000Z'
                          end: '2026-01-26T23:59:59.999999Z'
                          max: 5368709120
                          received: 285341435
                          transmitted: 7062780
                          total: 292404215
                          percentUsed: 5.45
                          available: 5076304905
                  - id: 4
                    name: Simple
                    label: Resource Pack Simple
                    limits:
                      totalServers: 10
                      totalMemory: 8192
                      totalStorage: 60
                      totalCpu: 8
                      totalTraffic: 5000
                      maxMemory: null
                      maxStorage: null
                      maxCpu: null
                      maxTraffic: null
                    usage:
                      servers:
                        total: 10
                        used: 0
                        available: 10
                        percentUsed: 0
                      memory:
                        total: 8192
                        used: 0
                        available: 8192
                        percentUsed: 0
                      storage:
                        total: 60
                        used: 0
                        available: 60
                        percentUsed: 0
                      cpu:
                        total: 8
                        used: 0
                        available: 8
                        percentUsed: 0
                      traffic:
                        total: 5000
                        used: 0
                        available: 5000
                        percentUsed: 0
                      trafficMonth:
                        primary:
                          start: '2026-01-02T00:00:00.000000Z'
                          end: '2026-02-01T23:59:59.999999Z'
                          max: 5368709120000
                          received: 0
                          transmitted: 0
                          total: 0
                          percentUsed: 0
                          available: 0
          headers: {}
        '401':
          $ref: '#/components/responses/Unauthorized'
          description: ''
        '404':
          $ref: '#/components/responses/NotFound'
          description: ''
        '429':
          $ref: '#/components/responses/TooManyRequests'
          description: ''
      deprecated: false
      security:
        - bearer: []
components:
  responses:
    Unauthorized:
      description: ''
      content: {}
    NotFound:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: string
          examples:
            Example 1:
              summary: Example 1
              value:
                errors:
                  - This is an error returned from the API
                  - This is another error return from the API
    TooManyRequests:
      description: ''
      content: {}
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````